Bug 8772 - SMB2 fatal panic on data transfer
SMB2 fatal panic on data transfer
Status: NEW
Product: Samba 3.6
Classification: Unclassified
Component: SMB2
3.6.2
x86 Windows 7
: P5 major
: ---
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-22 19:14 UTC by Derek
Modified: 2012-10-16 06:44 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Derek 2012-02-22 19:14:30 UTC
I use Windows 7's backup utility on six machines.  All six are having this issue.  The issue will not occur when Samba is set to NT1 mode rather than SMB2 mode.


Feb 21 21:01:36 freenas smbd[8885]: smbd_smb2_request_incoming: client read error NT_STATUS_CONNECTION_RESET
Feb 21 21:01:36 freenas smbd[8885]: [2012/02/21 21:01:36.271142, 2] smbd/smb2_server.c:2557(smbd_smb2_request_incoming)
Feb 21 21:01:36 freenas smbd[8885]: officepc2 (192.168.1.102) closed connection to service backup drive
Feb 21 21:01:36 freenas smbd[8885]: [2012/02/21 21:01:36.269912, 1] smbd/service.c:1345(close_cnum)
Feb 21 21:01:30 freenas smbd[8939]: backup closed file OfficePC2/OFFICEPC2/Backup Set 2012-01-27 160007/Catalogs/GlobalCatalog.wbcat (numopen=0) NT_STATUS_OK
Feb 21 21:01:30 freenas smbd[8939]: [2012/02/21 21:01:30.274664, 2] smbd/close.c:691(close_normal_file)
Feb 21 21:01:30 freenas smbd[8939]: backup closed file OfficePC2/OFFICEPC2/Backup Set 2011-10-14 160007/Catalogs/GlobalCatalog.wbcat (numopen=1) NT_STATUS_OK
Feb 21 21:01:30 freenas smbd[8939]: [2012/02/21 21:01:30.274096, 2] smbd/close.c:691(close_normal_file)
...
Feb 21 15:32:16 freenas smbd[6718]: dumping core in /var/log/samba/cores/smbd
Feb 21 15:32:15 freenas smbd[6689]: BACKTRACE: 17 stack frames:
Feb 21 15:32:15 freenas smbd[6689]: [2012/02/21 15:32:15.471873, 0] lib/util.c:1221(log_stack_trace)
Feb 21 15:32:15 freenas smbd[6689]: PANIC (pid 6689): internal error
Feb 21 15:32:15 freenas smbd[6689]: [2012/02/21 15:32:15.470927, 0] lib/util.c:1117(smb_panic)



I did succeed with NT1 enabled to transfer the data from the backup, with one noticed error:

Feb 21 21:11:48 freenas smbd[9261]: receive_smb_raw_talloc failed for client 192.168.1.102 read error = NT_STATUS_CONNECTION_RESET.
Feb 21 21:11:48 freenas smbd[9261]: [2012/02/21 21:11:48.254420, 1] smbd/process.c:457(receive_smb_talloc)
Feb 21 21:11:18 freenas smbd[9261]: officepc2 (192.168.1.102) closed connection to service backup drive
Feb 21 21:11:18 freenas smbd[9261]: [2012/02/21 21:11:18.255856, 1] smbd/service.c:1345(close_cnum)
Feb 21 21:11:05 freenas smbd[9261]: backup closed file OfficePC2/MediaID.bin (numopen=0) NT_STATUS_OK
Comment 1 Jeremy Allison 2012-02-23 00:24:09 UTC
Please set the following in the [global] section of your smb.conf:

panic action = /bin/sleep 9999999

ensure that smbd has symbols loaded and then reproduce the problem. You'll find you have a sleep process whose parent is an smbd.

Attach to that with gdb doing:

gdb --pid=<pid-of-smbd> smbd

then type:

bt 

to get a stack backtrace. Please paste that backtrace into the bug report.

Thanks !

Jeremy.